#!/usr/bin/env bats
# vim: set filetype=sh:

load utils

@test "Happy day" {
  mkzip my-webapp
  install_artifact "my-webapp"
  install_artifact "my-webapp" 1.0

  cd $BATS_TMPDIR
  cd appstore
  mkdir -p client server
  cd client

  appstore init "localhost" "$BATS_TMPDIR/appstore/server" "mysetup"
  cd mysetup

  # Making assertions easier.
  git config user.name "Test Case"
  git config user.email tester@example.org

  echo "app-1,maven,org.example:app-a:1.0-SNAPSHOT,1.0-SNAPSHOT,enabled" >> apps.csv
  git commit -m "o Adding app-1." -a
  git push cloud master
  eq "ssh://localhost$BATS_TMPDIR/appstore/server/mysetup" `git config remote.cloud.url`
  eq 1 2
}
